# -*- coding: utf-8 -*-
# Generated by Django 1.9.12 on 2017-04-02 18:54
from __future__ import unicode_literals

import django.contrib.gis.db.models.fields
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('catalog', '0002_auto_20160705_1331'),
    ]

    operations = [
        migrations.CreateModel(
            name='Search',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sdate', models.DateTimeField()),
                ('date0', models.DateField()),
                ('date1', models.DateField()),
                ('polygon', django.contrib.gis.db.models.fields.PolygonField(blank=True, null=True, srid=4326)),
                ('source', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='catalog.Source')),
            ],
        ),
        migrations.CreateModel(
            name='Visualization',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uri', models.URLField()),
                ('title', models.CharField(default=b'', max_length=50)),
            ],
        ),
        migrations.CreateModel(
            name='VisualizationParameter',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ds_parameter', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='catalog.DatasetParameter')),
                ('visualization', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='viewer.Visualization')),
            ],
        ),
        migrations.CreateModel(
            name='Dataset',
            fields=[
            ],
            options={
                'proxy': True,
            },
            bases=('catalog.dataset',),
        ),
        migrations.AddField(
            model_name='visualization',
            name='ds_parameters',
            field=models.ManyToManyField(through='viewer.VisualizationParameter', to='catalog.DatasetParameter'),
        ),
        migrations.AddField(
            model_name='visualization',
            name='geographic_location',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='catalog.GeographicLocation'),
        ),
    ]
